﻿using UnityEngine;
using System.Collections;

public class platform_movement : MonoBehaviour {
	
	//the force exerted on platform for going up
	public float ascendForce;
	//the rate with which the platform moves sideways. it is inverse proportional: the biger the number the slower it moves
	public float sideRate = 40f;
	
	//exit and restart buttons
	float buttonWidth	 = 100f;
	float buttonHeight = 50f;
	
	// Use this for initialization
	void Start () {
	
	}
	
	// Update is called once per frame
	void Update () {
		if(Input.GetAxis("Horizontal")!=0)
		{
			transform.Translate(Input.GetAxis("Horizontal")/sideRate,0f,0f,Space.World);
		}
		if(Input.GetAxis("Vertical")!=0)
		{
			transform.Translate(0f,0f,Input.GetAxis("Vertical")/sideRate,Space.World);
		}
		if(Input.GetKey("space"))
		{
			rigidbody.AddForce(0f,ascendForce,0f);
		}
		
		
	}
	
	//exit and restart buttons
	void OnGUI () 
	{
		if(GUI.Button ( new Rect (10f,10f,buttonWidth,buttonHeight), "Restart!"))
		{
			//print("Start Game");
			Application.LoadLevel("lvl1");
		}
		if(GUI.Button (new Rect (10,70,buttonWidth,buttonHeight), "Exit!"))
		{
			//print("Exit Game");
			Application.Quit();
		}
		
	}	
}
